clang 8.0.0

Classes | Public Member Functions | Public Attributes | List of all members
clang::LambdaIntroducer Struct Reference

Represents a complete lambda introducer. More...

`#include "clang/Sema/DeclSpec.h"`

Collaboration diagram for clang::LambdaIntroducer:
[legend]

## Classes
struct | LambdaCapture
| An individual capture in a lambda introducer. More...

## Public Member Functions
| LambdaIntroducer ()
void | addCapture (LambdaCaptureKind Kind, SourceLocation Loc, IdentifierInfo *Id, SourceLocation EllipsisLoc, LambdaCaptureInitKind InitKind, ExprResult Init, ParsedType InitCaptureType, SourceRange ExplicitRange)
| Append a capture in a lambda introducer. More...

## Public Attributes
SourceRange | Range
SourceLocation | DefaultLoc
LambdaCaptureDefault | Default
SmallVector< LambdaCapture, 4 > | Captures

## Detailed Description

Represents a complete lambda introducer.

Definition at line 2549 of file DeclSpec.h.

## Constructor & Destructor Documentation

## ◆ LambdaIntroducer()

clang::LambdaIntroducer::LambdaIntroducer | ( |  | ) |
| inline

Definition at line 2576 of file DeclSpec.h.

## Member Function Documentation

## ◆ addCapture()

void clang::LambdaIntroducer::addCapture | ( | LambdaCaptureKind | Kind,
|  | SourceLocation | Loc,
|  | IdentifierInfo * | Id,
|  | SourceLocation | EllipsisLoc,
|  | LambdaCaptureInitKind | InitKind,
|  | ExprResult | Init,
|  | ParsedType | InitCaptureType,
|  | SourceRange | ExplicitRange
| ) |  |
| inline

Append a capture in a lambda introducer.

Definition at line 2580 of file DeclSpec.h.

## Member Data Documentation

## ◆ Captures

SmallVector<LambdaCapture, 4> clang::LambdaIntroducer::Captures

Definition at line 2574 of file DeclSpec.h.

## ◆ Default

LambdaCaptureDefault clang::LambdaIntroducer::Default

Definition at line 2573 of file DeclSpec.h.

## ◆ DefaultLoc

SourceLocation clang::LambdaIntroducer::DefaultLoc

Definition at line 2572 of file DeclSpec.h.

## ◆ Range

SourceRange clang::LambdaIntroducer::Range

Definition at line 2571 of file DeclSpec.h.

Referenced by addConstexprToLambdaDeclSpecifier().

The documentation for this struct was generated from the following file:

- include/clang/Sema/DeclSpec.h